%define	oname		Solaar

%define date		20170103
%if %{date}
%define release		%mkrel 12.git%{date}.%{rel}
%define tarballver	%{commit}
%define tarballdir	%{commit}
%define tarballgit	+git%{date}
%define commit		c36cc506b62a644da5a9c73aac17c61c8af97dd3
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%define tarballdir	%{version}
%endif

%define rel		1

Name:		solaar
Version:	0.9.2
Release:	%{release}
Summary:	Device manager for Logitech's Unifying Receiver
License:	GPLv2
Group:		System/Kernel and hardware
Url:		http://pwr.github.io/Solaar/
Source0:	https://github.com/pwr/%{oname}/archive/%{tarballdir}/%{name}-%{version}%{?tarballgit}.tar.gz
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	pythonegg(3)(setuptools)
Requires:	pythonegg(3)(pyudev)
Requires:	pythonegg(3)(pygobject)

%description
Solaar is a Linux device manager for Logitech’s Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for
each device, and also pair/unpair supported devices with the receiver.

%prep
%autosetup -n %{oname}-%{tarballver} -p1

# Correct Python interpreter path in all executables /usr/bin/env python -> /usr/bin/python
find -name '*.py' -print0 | xargs -0 sed -i -e 's,^#!/usr/bin/env python,#!%{__python},'

# "Upgrade" Python interpreter path to Python3 /usr/bin/python -> /usr/bin/python3
find -name '*.py' -print0 | xargs -0 sed -i -e 's,^#!%{__python},#!%{__python3},'

# create all translations files (solaar.mo) on ./share/locale
sh ./tools/po-compile.sh

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_udevrulesdir}
cp rules.d/42-logitech-unify-permissions.rules %{buildroot}%{_udevrulesdir}

%find_lang %{name}

%files -f %{name}.lang
%doc README.md share/README docs
%dir %{_datadir}/%{name}/
%dir %{python3_sitelib}/*
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/%{name}/*
%{_iconsdir}/*/*/*/%{name}.svg
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/*/*
%config %{_udevrulesdir}/42-logitech-unify-permissions.rules


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 0.9.2-12.git20170103.1.mga6
+ Revision: 1079889
- update to latest git snapshot: 0.9.2-git20170103

* Mon Dec 12 2016 daviddavid <daviddavid> 0.9.2-12.git20161203.1.mga6
+ Revision: 1074353
- update to latest git snapshot: 0.9.2-git20161203
- remove merged upstream patch

* Wed Nov 23 2016 daviddavid <daviddavid> 0.9.2-12.git20161123.1.mga6
+ Revision: 1069490
- update to latest git snapshot: 0.9.2-git20161123
- port to python3
- use new python macros
- update URL
- add French translation on desktop file

* Mon Feb 08 2016 umeabot <umeabot> 0.9.2-11.mga6
+ Revision: 947292
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-10.mga5
+ Revision: 744196
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.2-9.mga5
+ Revision: 730168
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-8.mga5
+ Revision: 689237
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 0.9.2-6.mga4
+ Revision: 548985
- we are now using pygir

* Tue Oct 22 2013 umeabot <umeabot> 0.9.2-5.mga4
+ Revision: 544458
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.2-4.mga4
+ Revision: 499885
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 08 2013 wally <wally> 0.9.2-3.mga4
+ Revision: 464534
- restore noarch and remove unneeded requires tag as missing requires were fixed in libappindicator

* Thu Aug 08 2013 dams <dams> 0.9.2-2.mga4
+ Revision: 464512
- Remove 'noarch' to fix 'requires' installation

* Wed Aug 07 2013 dams <dams> 0.9.2-1.mga4
+ Revision: 464288
- update to 0.9.2

* Wed Jul 10 2013 dams <dams> 0.9.0-2.mga4
+ Revision: 452304
- add libappindicator3_1 as a require

* Wed Jul 10 2013 dams <dams> 0.9.0-1.mga4
+ Revision: 452296
- new version 0.9.0

* Tue Jun 25 2013 dams <dams> 0.8.99.7-1.mga4
+ Revision: 446571
- new version 0.8.99.7

* Tue Jun 18 2013 dams <dams> 0.8.9.4-1.mga4
+ Revision: 444640
- new version 0.8.9.4
- update specfile

* Mon Jun 10 2013 dams <dams> 0.8.9.2-3.mga4
+ Revision: 441376
- use TAG+="uaccess" instead of non existing/used user group
- rename udev.rules to be done before 73

* Sat Jun 08 2013 dams <dams> 0.8.9.2-2.mga4
+ Revision: 440675
- Adds missing icons (mga#9987)

* Fri Jun 07 2013 dams <dams> 0.8.9.2-1.mga4
+ Revision: 440222
- new version 0.8.9.2
- fix license

* Tue Jun 04 2013 dams <dams> 0.8.9-1.mga4
+ Revision: 436891
- fix specfile for udev rules
- imported package solaar

